# SgmlIgnoredTag Class Reference
[HTML parser]

Inheritance diagram for SgmlIgnoredTag:
[legend]

List of all members.

## Public Member Functions

| setCdata (Cdata $cdata)
| getCdata ()
| setEndMark ($endMark)
| getEndMark ()
| isComment ()
| isExternal ()

## Static Public Member Functions

static | create ()
static | comment ()

## Private Attributes

| $cdata = null
| $endMark = null

## Detailed Description

Definition at line 15 of file SgmlIgnoredTag.class.php.

## Member Function Documentation

static SgmlIgnoredTag::comment | ( |  | ) | `[static]`

Returns:
  SgmlIgnoredTag

Definition at line 31 of file SgmlIgnoredTag.class.php.

References create().

Referenced by HtmlTokenizer::commentState().

Here is the call graph for this function:

static SgmlIgnoredTag::create | ( |  | ) | `[static]`

Returns:
  SgmlIgnoredTag

Definition at line 23 of file SgmlIgnoredTag.class.php.

Referenced by comment(), and HtmlTokenizer::startTagState().

SgmlIgnoredTag::getCdata | ( |  | ) |

Returns:
  Cdata

Definition at line 49 of file SgmlIgnoredTag.class.php.

SgmlIgnoredTag::getEndMark | ( |  | ) |

Definition at line 64 of file SgmlIgnoredTag.class.php.

SgmlIgnoredTag::isComment | ( |  | ) |

Definition at line 69 of file SgmlIgnoredTag.class.php.

SgmlIgnoredTag::isExternal | ( |  | ) |

Definition at line 74 of file SgmlIgnoredTag.class.php.

SgmlIgnoredTag::setCdata | ( | Cdata $ | cdata | ) |

Returns:
  SgmlIgnoredTag

Definition at line 39 of file SgmlIgnoredTag.class.php.

SgmlIgnoredTag::setEndMark | ( | $ | endMark | ) |

Returns:
  SgmlIgnoredTag

Definition at line 57 of file SgmlIgnoredTag.class.php.

References $endMark.

## Member Data Documentation

SgmlIgnoredTag::$cdata = null`[private]`

Definition at line 17 of file SgmlIgnoredTag.class.php.

SgmlIgnoredTag::$endMark = null`[private]`

Definition at line 18 of file SgmlIgnoredTag.class.php.

Referenced by setEndMark().

The documentation for this class was generated from the following file:

- main/Markup/Html/SgmlIgnoredTag.class.php